<?php



$tdatatb_medicamentos = array();
$tdatatb_medicamentos[".searchableFields"] = array();
$tdatatb_medicamentos[".ShortName"] = "tb_medicamentos";
$tdatatb_medicamentos[".OwnerID"] = "";
$tdatatb_medicamentos[".OriginalTable"] = "tb_medicamentos";


$tdatatb_medicamentos[".pagesByType"] = my_json_decode( "{\"add\":[\"add\"],\"edit\":[\"edit\"],\"list\":[\"list\"],\"print\":[\"print\"],\"search\":[\"search\"],\"view\":[\"view\"]}" );
$tdatatb_medicamentos[".originalPagesByType"] = $tdatatb_medicamentos[".pagesByType"];
$tdatatb_medicamentos[".pages"] = types2pages( my_json_decode( "{\"add\":[\"add\"],\"edit\":[\"edit\"],\"list\":[\"list\"],\"print\":[\"print\"],\"search\":[\"search\"],\"view\":[\"view\"]}" ) );
$tdatatb_medicamentos[".originalPages"] = $tdatatb_medicamentos[".pages"];
$tdatatb_medicamentos[".defaultPages"] = my_json_decode( "{\"add\":\"add\",\"edit\":\"edit\",\"list\":\"list\",\"print\":\"print\",\"search\":\"search\",\"view\":\"view\"}" );
$tdatatb_medicamentos[".originalDefaultPages"] = $tdatatb_medicamentos[".defaultPages"];

//	field labels
$fieldLabelstb_medicamentos = array();
$fieldToolTipstb_medicamentos = array();
$pageTitlestb_medicamentos = array();
$placeHolderstb_medicamentos = array();

if(mlang_getcurrentlang()=="English")
{
	$fieldLabelstb_medicamentos["English"] = array();
	$fieldToolTipstb_medicamentos["English"] = array();
	$placeHolderstb_medicamentos["English"] = array();
	$pageTitlestb_medicamentos["English"] = array();
	$fieldLabelstb_medicamentos["English"]["medicamentoID"] = "ID";
	$fieldToolTipstb_medicamentos["English"]["medicamentoID"] = "";
	$placeHolderstb_medicamentos["English"]["medicamentoID"] = "";
	$fieldLabelstb_medicamentos["English"]["receitaID"] = "Receita ID";
	$fieldToolTipstb_medicamentos["English"]["receitaID"] = "";
	$placeHolderstb_medicamentos["English"]["receitaID"] = "";
	$fieldLabelstb_medicamentos["English"]["medicamento"] = "Medicamento";
	$fieldToolTipstb_medicamentos["English"]["medicamento"] = "";
	$placeHolderstb_medicamentos["English"]["medicamento"] = "";
	$fieldLabelstb_medicamentos["English"]["posologia"] = "Posologia";
	$fieldToolTipstb_medicamentos["English"]["posologia"] = "";
	$placeHolderstb_medicamentos["English"]["posologia"] = "";
	$fieldLabelstb_medicamentos["English"]["dose_1"] = "Primeira dose";
	$fieldToolTipstb_medicamentos["English"]["dose_1"] = "";
	$placeHolderstb_medicamentos["English"]["dose_1"] = "";
	$fieldLabelstb_medicamentos["English"]["dose_2"] = "Segunda dose";
	$fieldToolTipstb_medicamentos["English"]["dose_2"] = "";
	$placeHolderstb_medicamentos["English"]["dose_2"] = "";
	$fieldLabelstb_medicamentos["English"]["dose_3"] = "Terceira dose";
	$fieldToolTipstb_medicamentos["English"]["dose_3"] = "";
	$placeHolderstb_medicamentos["English"]["dose_3"] = "";
	$fieldLabelstb_medicamentos["English"]["dose_4"] = "Dose 4";
	$fieldToolTipstb_medicamentos["English"]["dose_4"] = "";
	$placeHolderstb_medicamentos["English"]["dose_4"] = "";
	$fieldLabelstb_medicamentos["English"]["indicacao"] = "Indicação ";
	$fieldToolTipstb_medicamentos["English"]["indicacao"] = "";
	$placeHolderstb_medicamentos["English"]["indicacao"] = "";
	$fieldLabelstb_medicamentos["English"]["efeitos_colaterais"] = "Efeitos Colaterais";
	$fieldToolTipstb_medicamentos["English"]["efeitos_colaterais"] = "";
	$placeHolderstb_medicamentos["English"]["efeitos_colaterais"] = "";
	$fieldLabelstb_medicamentos["English"]["status"] = "Status";
	$fieldToolTipstb_medicamentos["English"]["status"] = "";
	$placeHolderstb_medicamentos["English"]["status"] = "";
	$fieldLabelstb_medicamentos["English"]["data_cancelamento"] = "Data Cancelamento";
	$fieldToolTipstb_medicamentos["English"]["data_cancelamento"] = "";
	$placeHolderstb_medicamentos["English"]["data_cancelamento"] = "";
	$fieldLabelstb_medicamentos["English"]["consumo_dia"] = "Consumo Dia";
	$fieldToolTipstb_medicamentos["English"]["consumo_dia"] = "";
	$placeHolderstb_medicamentos["English"]["consumo_dia"] = "";
	$fieldLabelstb_medicamentos["English"]["cont_estoque"] = "Cont Estoque";
	$fieldToolTipstb_medicamentos["English"]["cont_estoque"] = "";
	$placeHolderstb_medicamentos["English"]["cont_estoque"] = "";
	if (count($fieldToolTipstb_medicamentos["English"]))
		$tdatatb_medicamentos[".isUseToolTips"] = true;
}


	$tdatatb_medicamentos[".NCSearch"] = true;



$tdatatb_medicamentos[".shortTableName"] = "tb_medicamentos";
$tdatatb_medicamentos[".nSecOptions"] = 0;

$tdatatb_medicamentos[".mainTableOwnerID"] = "";
$tdatatb_medicamentos[".entityType"] = 0;

$tdatatb_medicamentos[".strOriginalTableName"] = "tb_medicamentos";

	



$tdatatb_medicamentos[".showAddInPopup"] = false;

$tdatatb_medicamentos[".showEditInPopup"] = false;

$tdatatb_medicamentos[".showViewInPopup"] = false;

//page's base css files names
$popupPagesLayoutNames = array();
$tdatatb_medicamentos[".popupPagesLayoutNames"] = $popupPagesLayoutNames;


$tdatatb_medicamentos[".listAjax"] = false;
//	temporary
$tdatatb_medicamentos[".listAjax"] = false;

	$tdatatb_medicamentos[".audit"] = false;

	$tdatatb_medicamentos[".locking"] = false;


$pages = $tdatatb_medicamentos[".defaultPages"];

if( $pages[PAGE_EDIT] ) {
	$tdatatb_medicamentos[".edit"] = true;
	$tdatatb_medicamentos[".afterEditAction"] = 0;
	$tdatatb_medicamentos[".closePopupAfterEdit"] = 1;
	$tdatatb_medicamentos[".afterEditActionDetTable"] = "Detail tables not found!";
}

if( $pages[PAGE_ADD] ) {
$tdatatb_medicamentos[".add"] = true;
$tdatatb_medicamentos[".afterAddAction"] = 0;
$tdatatb_medicamentos[".closePopupAfterAdd"] = 1;
$tdatatb_medicamentos[".afterAddActionDetTable"] = "";
}

if( $pages[PAGE_LIST] ) {
	$tdatatb_medicamentos[".list"] = true;
}



$tdatatb_medicamentos[".strSortControlSettingsJSON"] = "";




if( $pages[PAGE_VIEW] ) {
$tdatatb_medicamentos[".view"] = true;
}

if( $pages[PAGE_IMPORT] ) {
$tdatatb_medicamentos[".import"] = true;
}

if( $pages[PAGE_EXPORT] ) {
$tdatatb_medicamentos[".exportTo"] = true;
}

if( $pages[PAGE_PRINT] ) {
$tdatatb_medicamentos[".printFriendly"] = true;
}



$tdatatb_medicamentos[".showSimpleSearchOptions"] = true; // temp fix #13449

// Allow Show/Hide Fields in GRID
$tdatatb_medicamentos[".allowShowHideFields"] = true; // temp fix #13449
//

// Allow Fields Reordering in GRID
$tdatatb_medicamentos[".allowFieldsReordering"] = true; // temp fix #13449
//

$tdatatb_medicamentos[".isUseAjaxSuggest"] = true;

$tdatatb_medicamentos[".rowHighlite"] = true;





$tdatatb_medicamentos[".ajaxCodeSnippetAdded"] = false;

$tdatatb_medicamentos[".buttonsAdded"] = false;

$tdatatb_medicamentos[".addPageEvents"] = false;

// use timepicker for search panel
$tdatatb_medicamentos[".isUseTimeForSearch"] = false;


$tdatatb_medicamentos[".badgeColor"] = "5f9ea0";


$tdatatb_medicamentos[".allSearchFields"] = array();
$tdatatb_medicamentos[".filterFields"] = array();
$tdatatb_medicamentos[".requiredSearchFields"] = array();

$tdatatb_medicamentos[".googleLikeFields"] = array();
$tdatatb_medicamentos[".googleLikeFields"][] = "medicamentoID";
$tdatatb_medicamentos[".googleLikeFields"][] = "receitaID";
$tdatatb_medicamentos[".googleLikeFields"][] = "medicamento";
$tdatatb_medicamentos[".googleLikeFields"][] = "posologia";
$tdatatb_medicamentos[".googleLikeFields"][] = "dose_1";
$tdatatb_medicamentos[".googleLikeFields"][] = "dose_2";
$tdatatb_medicamentos[".googleLikeFields"][] = "dose_3";
$tdatatb_medicamentos[".googleLikeFields"][] = "dose_4";
$tdatatb_medicamentos[".googleLikeFields"][] = "indicacao";
$tdatatb_medicamentos[".googleLikeFields"][] = "efeitos_colaterais";
$tdatatb_medicamentos[".googleLikeFields"][] = "status";
$tdatatb_medicamentos[".googleLikeFields"][] = "data cancelamento";
$tdatatb_medicamentos[".googleLikeFields"][] = "consumo_dia";
$tdatatb_medicamentos[".googleLikeFields"][] = "cont_estoque";



$tdatatb_medicamentos[".tableType"] = "list";

$tdatatb_medicamentos[".printerPageOrientation"] = 0;
$tdatatb_medicamentos[".nPrinterPageScale"] = 100;

$tdatatb_medicamentos[".nPrinterSplitRecords"] = 40;

$tdatatb_medicamentos[".geocodingEnabled"] = false;










$tdatatb_medicamentos[".pageSize"] = 20;

$tdatatb_medicamentos[".warnLeavingPages"] = true;



$tstrOrderBy = "";
if(strlen($tstrOrderBy) && strtolower(substr($tstrOrderBy,0,8))!="order by")
	$tstrOrderBy = "order by ".$tstrOrderBy;
$tdatatb_medicamentos[".strOrderBy"] = $tstrOrderBy;

$tdatatb_medicamentos[".orderindexes"] = array();

$tdatatb_medicamentos[".sqlHead"] = "SELECT medicamentoID,  	receitaID,  	medicamento,  	posologia,  	dose_1,  	dose_2,  	dose_3,  	dose_4,  	indicacao,  	efeitos_colaterais,  	status,  	`data cancelamento`,  	consumo_dia,  	cont_estoque";
$tdatatb_medicamentos[".sqlFrom"] = "FROM tb_medicamentos";
$tdatatb_medicamentos[".sqlWhereExpr"] = "";
$tdatatb_medicamentos[".sqlTail"] = "";










//fill array of records per page for list and report without group fields
$arrRPP = array();
$arrRPP[] = 10;
$arrRPP[] = 20;
$arrRPP[] = 30;
$arrRPP[] = 50;
$arrRPP[] = 100;
$arrRPP[] = 500;
$arrRPP[] = -1;
$tdatatb_medicamentos[".arrRecsPerPage"] = $arrRPP;

//fill array of groups per page for report with group fields
$arrGPP = array();
$arrGPP[] = 1;
$arrGPP[] = 3;
$arrGPP[] = 5;
$arrGPP[] = 10;
$arrGPP[] = 50;
$arrGPP[] = 100;
$arrGPP[] = -1;
$tdatatb_medicamentos[".arrGroupsPerPage"] = $arrGPP;

$tdatatb_medicamentos[".highlightSearchResults"] = true;

$tableKeystb_medicamentos = array();
$tableKeystb_medicamentos[] = "medicamentoID";
$tdatatb_medicamentos[".Keys"] = $tableKeystb_medicamentos;


$tdatatb_medicamentos[".hideMobileList"] = array();




//	medicamentoID
//	Custom field settings
	$fdata = array();
	$fdata["Index"] = 1;
	$fdata["strName"] = "medicamentoID";
	$fdata["GoodName"] = "medicamentoID";
	$fdata["ownerTable"] = "tb_medicamentos";
	$fdata["Label"] = GetFieldLabel("tb_medicamentos","medicamentoID");
	$fdata["FieldType"] = 3;

	
		$fdata["AutoInc"] = true;

	
			

		$fdata["strField"] = "medicamentoID";

		$fdata["isSQLExpression"] = true;
	$fdata["FullName"] = "medicamentoID";

	
	
				$fdata["UploadFolder"] = "files";

//  Begin View Formats
	$fdata["ViewFormats"] = array();

	$vdata = array("ViewFormat" => "");

	
	
	
	
	
	
	
	
	
	
	
	
		$vdata["NeedEncode"] = true;

	
		$vdata["truncateText"] = true;
	$vdata["NumberOfChars"] = 80;

	$fdata["ViewFormats"]["view"] = $vdata;
//  End View Formats

//	Begin Edit Formats
	$fdata["EditFormats"] = array();

	$edata = array("EditFormat" => "Text field");

	
		$edata["weekdayMessage"] = array("message" => "", "messageType" => "Text");
	$edata["weekdays"] = "[]";


	
	



		$edata["IsRequired"] = true;

	
	
	
			$edata["acceptFileTypes"] = ".+$";
		$edata["acceptFileTypesHtml"] = "";

		$edata["maxNumberOfFiles"] = 1;

	
	
	
	
			$edata["HTML5InuptType"] = "text";

		$edata["EditParams"] = "";
		
		$edata["controlWidth"] = 200;

//	Begin validation
	$edata["validateAs"] = array();
	$edata["validateAs"]["basicValidate"] = array();
	$edata["validateAs"]["customMessages"] = array();
				$edata["validateAs"]["basicValidate"][] = getJsValidatorName("Number");
						$edata["validateAs"]["basicValidate"][] = "IsRequired";
		
	
	//	End validation

	
			
	
	
	
	$fdata["EditFormats"]["edit"] = $edata;
//	End Edit Formats


	$fdata["isSeparate"] = false;




// the field's search options settings
		$fdata["defaultSearchOption"] = "Contains";

			// the default search options list
				$fdata["searchOptionsList"] = array("Contains", "Equals", "Starts with", "More than", "Less than", "Between", "Empty", NOT_EMPTY);
// the end of search options settings


//Filters settings
	$fdata["filterTotals"] = 0;
		$fdata["filterMultiSelect"] = 0;
			$fdata["filterFormat"] = "Values list";
		$fdata["showCollapsed"] = false;

		$fdata["sortValueType"] = 0;
		$fdata["numberOfVisibleItems"] = 10;

		$fdata["filterBy"] = 0;

	

	
	
//end of Filters settings


	$tdatatb_medicamentos["medicamentoID"] = $fdata;
		$tdatatb_medicamentos[".searchableFields"][] = "medicamentoID";
//	receitaID
//	Custom field settings
	$fdata = array();
	$fdata["Index"] = 2;
	$fdata["strName"] = "receitaID";
	$fdata["GoodName"] = "receitaID";
	$fdata["ownerTable"] = "tb_medicamentos";
	$fdata["Label"] = GetFieldLabel("tb_medicamentos","receitaID");
	$fdata["FieldType"] = 3;

	
	
	
			

		$fdata["strField"] = "receitaID";

		$fdata["isSQLExpression"] = true;
	$fdata["FullName"] = "receitaID";

	
	
				$fdata["UploadFolder"] = "files";

//  Begin View Formats
	$fdata["ViewFormats"] = array();

	$vdata = array("ViewFormat" => "");

	
	
	
	
	
	
	
	
	
	
	
	
		$vdata["NeedEncode"] = true;

	
		$vdata["truncateText"] = true;
	$vdata["NumberOfChars"] = 80;

	$fdata["ViewFormats"]["view"] = $vdata;
//  End View Formats

//	Begin Edit Formats
	$fdata["EditFormats"] = array();

	$edata = array("EditFormat" => "Text field");

	
		$edata["weekdayMessage"] = array("message" => "", "messageType" => "Text");
	$edata["weekdays"] = "[]";


	
	



	
	
	
	
			$edata["acceptFileTypes"] = ".+$";
		$edata["acceptFileTypesHtml"] = "";

		$edata["maxNumberOfFiles"] = 1;

	
	
	
	
			$edata["HTML5InuptType"] = "text";

		$edata["EditParams"] = "";
		
		$edata["controlWidth"] = 200;

//	Begin validation
	$edata["validateAs"] = array();
	$edata["validateAs"]["basicValidate"] = array();
	$edata["validateAs"]["customMessages"] = array();
				$edata["validateAs"]["basicValidate"][] = getJsValidatorName("Number");
							
	
	//	End validation

	
			
	
	
	
	$fdata["EditFormats"]["edit"] = $edata;
//	End Edit Formats


	$fdata["isSeparate"] = false;




// the field's search options settings
		$fdata["defaultSearchOption"] = "Contains";

			// the default search options list
				$fdata["searchOptionsList"] = array("Contains", "Equals", "Starts with", "More than", "Less than", "Between", "Empty", NOT_EMPTY);
// the end of search options settings


//Filters settings
	$fdata["filterTotals"] = 0;
		$fdata["filterMultiSelect"] = 0;
			$fdata["filterFormat"] = "Values list";
		$fdata["showCollapsed"] = false;

		$fdata["sortValueType"] = 0;
		$fdata["numberOfVisibleItems"] = 10;

		$fdata["filterBy"] = 0;

	

	
	
//end of Filters settings


	$tdatatb_medicamentos["receitaID"] = $fdata;
		$tdatatb_medicamentos[".searchableFields"][] = "receitaID";
//	medicamento
//	Custom field settings
	$fdata = array();
	$fdata["Index"] = 3;
	$fdata["strName"] = "medicamento";
	$fdata["GoodName"] = "medicamento";
	$fdata["ownerTable"] = "tb_medicamentos";
	$fdata["Label"] = GetFieldLabel("tb_medicamentos","medicamento");
	$fdata["FieldType"] = 3;

	
	
	
			

		$fdata["strField"] = "medicamento";

		$fdata["isSQLExpression"] = true;
	$fdata["FullName"] = "medicamento";

	
	
				$fdata["UploadFolder"] = "files";

//  Begin View Formats
	$fdata["ViewFormats"] = array();

	$vdata = array("ViewFormat" => "");

	
	
	
	
	
	
	
	
	
	
	
	
		$vdata["NeedEncode"] = true;

	
		$vdata["truncateText"] = true;
	$vdata["NumberOfChars"] = 80;

	$fdata["ViewFormats"]["view"] = $vdata;
//  End View Formats

//	Begin Edit Formats
	$fdata["EditFormats"] = array();

	$edata = array("EditFormat" => "Lookup wizard");

	
		$edata["weekdayMessage"] = array("message" => "", "messageType" => "Text");
	$edata["weekdays"] = "[]";


	
	

// Begin Lookup settings
				$edata["LookupType"] = 2;
	$edata["LookupTable"] = "tb_lista medicamentos";
			$edata["autoCompleteFieldsOnEdit"] = 0;
	$edata["autoCompleteFields"] = array();
		$edata["LCType"] = 0;

	
		
	$edata["LinkField"] = "medicamentoID";
	$edata["LinkFieldType"] = 0;
	$edata["DisplayField"] = "nome_fantasia";

	

	
	$edata["LookupOrderBy"] = "nome_generico";

	
	
		$edata["AllowToAdd"] = true;
			$edata["addPageId"] = "add";

	

	
	
		$edata["SelectSize"] = 1;

// End Lookup Settings


		$edata["IsRequired"] = true;

	
	
	
			$edata["acceptFileTypes"] = ".+$";
		$edata["acceptFileTypesHtml"] = "";

		$edata["maxNumberOfFiles"] = 1;

	
	
	
	
	
	
		$edata["controlWidth"] = 200;

//	Begin validation
	$edata["validateAs"] = array();
	$edata["validateAs"]["basicValidate"] = array();
	$edata["validateAs"]["customMessages"] = array();
						$edata["validateAs"]["basicValidate"][] = "IsRequired";
		
	
	//	End validation

	
			
	
	
	
	$fdata["EditFormats"]["edit"] = $edata;
//	End Edit Formats


	$fdata["isSeparate"] = false;




// the field's search options settings
		$fdata["defaultSearchOption"] = "Equals";

			// the default search options list
				$fdata["searchOptionsList"] = array("Contains", "Equals", "Starts with", "More than", "Less than", "Between", "Empty", NOT_EMPTY);
// the end of search options settings


//Filters settings
	$fdata["filterTotals"] = 0;
		$fdata["filterMultiSelect"] = 0;
			$fdata["filterFormat"] = "Values list";
		$fdata["showCollapsed"] = false;

		$fdata["sortValueType"] = 0;
		$fdata["numberOfVisibleItems"] = 10;

		$fdata["filterBy"] = 0;

	

	
	
//end of Filters settings


	$tdatatb_medicamentos["medicamento"] = $fdata;
		$tdatatb_medicamentos[".searchableFields"][] = "medicamento";
//	posologia
//	Custom field settings
	$fdata = array();
	$fdata["Index"] = 4;
	$fdata["strName"] = "posologia";
	$fdata["GoodName"] = "posologia";
	$fdata["ownerTable"] = "tb_medicamentos";
	$fdata["Label"] = GetFieldLabel("tb_medicamentos","posologia");
	$fdata["FieldType"] = 200;

	
	
	
			

		$fdata["strField"] = "posologia";

		$fdata["isSQLExpression"] = true;
	$fdata["FullName"] = "posologia";

	
	
				$fdata["UploadFolder"] = "files";

//  Begin View Formats
	$fdata["ViewFormats"] = array();

	$vdata = array("ViewFormat" => "");

	
	
	
	
	
	
	
	
	
	
	
	
		$vdata["NeedEncode"] = true;

	
		$vdata["truncateText"] = true;
	$vdata["NumberOfChars"] = 80;

	$fdata["ViewFormats"]["view"] = $vdata;
//  End View Formats

//	Begin Edit Formats
	$fdata["EditFormats"] = array();

	$edata = array("EditFormat" => "Text field");

	
		$edata["weekdayMessage"] = array("message" => "", "messageType" => "Text");
	$edata["weekdays"] = "[]";


	
	



	
	
	
	
			$edata["acceptFileTypes"] = ".+$";
		$edata["acceptFileTypesHtml"] = "";

		$edata["maxNumberOfFiles"] = 1;

	
	
	
	
			$edata["HTML5InuptType"] = "text";

		$edata["EditParams"] = "";
			$edata["EditParams"].= " maxlength=50";

		$edata["controlWidth"] = 200;

//	Begin validation
	$edata["validateAs"] = array();
	$edata["validateAs"]["basicValidate"] = array();
	$edata["validateAs"]["customMessages"] = array();
	
	
	//	End validation

	
			
	
	
	
	$fdata["EditFormats"]["edit"] = $edata;
//	End Edit Formats


	$fdata["isSeparate"] = false;




// the field's search options settings
		$fdata["defaultSearchOption"] = "Contains";

			// the default search options list
				$fdata["searchOptionsList"] = array("Contains", "Equals", "Starts with", "More than", "Less than", "Between", "Empty", NOT_EMPTY);
// the end of search options settings


//Filters settings
	$fdata["filterTotals"] = 0;
		$fdata["filterMultiSelect"] = 0;
			$fdata["filterFormat"] = "Values list";
		$fdata["showCollapsed"] = false;

		$fdata["sortValueType"] = 0;
		$fdata["numberOfVisibleItems"] = 10;

		$fdata["filterBy"] = 0;

	

	
	
//end of Filters settings


	$tdatatb_medicamentos["posologia"] = $fdata;
		$tdatatb_medicamentos[".searchableFields"][] = "posologia";
//	dose_1
//	Custom field settings
	$fdata = array();
	$fdata["Index"] = 5;
	$fdata["strName"] = "dose_1";
	$fdata["GoodName"] = "dose_1";
	$fdata["ownerTable"] = "tb_medicamentos";
	$fdata["Label"] = GetFieldLabel("tb_medicamentos","dose_1");
	$fdata["FieldType"] = 134;

	
	
	
			

		$fdata["strField"] = "dose_1";

		$fdata["isSQLExpression"] = true;
	$fdata["FullName"] = "dose_1";

	
	
				$fdata["UploadFolder"] = "files";

//  Begin View Formats
	$fdata["ViewFormats"] = array();

	$vdata = array("ViewFormat" => "Time");

	
	
	
	
	
	
	
	
	
	
	
	
		$vdata["NeedEncode"] = true;

	
		$vdata["truncateText"] = true;
	$vdata["NumberOfChars"] = 80;

	$fdata["ViewFormats"]["view"] = $vdata;
//  End View Formats

//	Begin Edit Formats
	$fdata["EditFormats"] = array();

	$edata = array("EditFormat" => "Time");

	
		$edata["weekdayMessage"] = array("message" => "", "messageType" => "Text");
	$edata["weekdays"] = "[]";


	
	



	
	
	
	
			$edata["acceptFileTypes"] = ".+$";
		$edata["acceptFileTypesHtml"] = "";

		$edata["maxNumberOfFiles"] = 1;

	
	
	
	
	
		$edata["EditParams"] = "";
		
		$edata["controlWidth"] = 200;

//	Begin validation
	$edata["validateAs"] = array();
	$edata["validateAs"]["basicValidate"] = array();
	$edata["validateAs"]["customMessages"] = array();
	
	
	//	End validation

	
			
				$hours = 24;
	$edata["FormatTimeAttrs"] = array("useTimePicker" => 0,
									  "hours" => $hours,
									  "minutes" => 1,
									  "showSeconds" => 0);

	
	
	$fdata["EditFormats"]["edit"] = $edata;
//	End Edit Formats


	$fdata["isSeparate"] = false;




// the field's search options settings
		$fdata["defaultSearchOption"] = "Equals";

			// the default search options list
				$fdata["searchOptionsList"] = array("Equals", "More than", "Less than", "Between", EMPTY_SEARCH, NOT_EMPTY );
// the end of search options settings


//Filters settings
	$fdata["filterTotals"] = 0;
		$fdata["filterMultiSelect"] = 0;
			$fdata["filterFormat"] = "Values list";
		$fdata["showCollapsed"] = false;

		$fdata["sortValueType"] = 0;
		$fdata["numberOfVisibleItems"] = 10;

		$fdata["filterBy"] = 0;

	

	
	
//end of Filters settings


	$tdatatb_medicamentos["dose_1"] = $fdata;
		$tdatatb_medicamentos[".searchableFields"][] = "dose_1";
//	dose_2
//	Custom field settings
	$fdata = array();
	$fdata["Index"] = 6;
	$fdata["strName"] = "dose_2";
	$fdata["GoodName"] = "dose_2";
	$fdata["ownerTable"] = "tb_medicamentos";
	$fdata["Label"] = GetFieldLabel("tb_medicamentos","dose_2");
	$fdata["FieldType"] = 134;

	
	
	
			

		$fdata["strField"] = "dose_2";

		$fdata["isSQLExpression"] = true;
	$fdata["FullName"] = "dose_2";

	
	
				$fdata["UploadFolder"] = "files";

//  Begin View Formats
	$fdata["ViewFormats"] = array();

	$vdata = array("ViewFormat" => "Time");

	
	
	
	
	
	
	
	
	
	
	
	
		$vdata["NeedEncode"] = true;

	
		$vdata["truncateText"] = true;
	$vdata["NumberOfChars"] = 80;

	$fdata["ViewFormats"]["view"] = $vdata;
//  End View Formats

//	Begin Edit Formats
	$fdata["EditFormats"] = array();

	$edata = array("EditFormat" => "Time");

	
		$edata["weekdayMessage"] = array("message" => "", "messageType" => "Text");
	$edata["weekdays"] = "[]";


	
	



	
	
	
	
			$edata["acceptFileTypes"] = ".+$";
		$edata["acceptFileTypesHtml"] = "";

		$edata["maxNumberOfFiles"] = 1;

	
	
	
	
	
		$edata["EditParams"] = "";
		
		$edata["controlWidth"] = 200;

//	Begin validation
	$edata["validateAs"] = array();
	$edata["validateAs"]["basicValidate"] = array();
	$edata["validateAs"]["customMessages"] = array();
	
	
	//	End validation

	
			
				$hours = 24;
	$edata["FormatTimeAttrs"] = array("useTimePicker" => 0,
									  "hours" => $hours,
									  "minutes" => 1,
									  "showSeconds" => 0);

	
	
	$fdata["EditFormats"]["edit"] = $edata;
//	End Edit Formats


	$fdata["isSeparate"] = false;




// the field's search options settings
		$fdata["defaultSearchOption"] = "Equals";

			// the default search options list
				$fdata["searchOptionsList"] = array("Equals", "More than", "Less than", "Between", EMPTY_SEARCH, NOT_EMPTY );
// the end of search options settings


//Filters settings
	$fdata["filterTotals"] = 0;
		$fdata["filterMultiSelect"] = 0;
			$fdata["filterFormat"] = "Values list";
		$fdata["showCollapsed"] = false;

		$fdata["sortValueType"] = 0;
		$fdata["numberOfVisibleItems"] = 10;

		$fdata["filterBy"] = 0;

	

	
	
//end of Filters settings


	$tdatatb_medicamentos["dose_2"] = $fdata;
		$tdatatb_medicamentos[".searchableFields"][] = "dose_2";
//	dose_3
//	Custom field settings
	$fdata = array();
	$fdata["Index"] = 7;
	$fdata["strName"] = "dose_3";
	$fdata["GoodName"] = "dose_3";
	$fdata["ownerTable"] = "tb_medicamentos";
	$fdata["Label"] = GetFieldLabel("tb_medicamentos","dose_3");
	$fdata["FieldType"] = 134;

	
	
	
			

		$fdata["strField"] = "dose_3";

		$fdata["isSQLExpression"] = true;
	$fdata["FullName"] = "dose_3";

	
	
				$fdata["UploadFolder"] = "files";

//  Begin View Formats
	$fdata["ViewFormats"] = array();

	$vdata = array("ViewFormat" => "Time");

	
	
	
	
	
	
	
	
	
	
	
	
		$vdata["NeedEncode"] = true;

	
		$vdata["truncateText"] = true;
	$vdata["NumberOfChars"] = 80;

	$fdata["ViewFormats"]["view"] = $vdata;
//  End View Formats

//	Begin Edit Formats
	$fdata["EditFormats"] = array();

	$edata = array("EditFormat" => "Time");

	
		$edata["weekdayMessage"] = array("message" => "", "messageType" => "Text");
	$edata["weekdays"] = "[]";


	
	



	
	
	
	
			$edata["acceptFileTypes"] = ".+$";
		$edata["acceptFileTypesHtml"] = "";

		$edata["maxNumberOfFiles"] = 1;

	
	
	
	
	
		$edata["EditParams"] = "";
		
		$edata["controlWidth"] = 200;

//	Begin validation
	$edata["validateAs"] = array();
	$edata["validateAs"]["basicValidate"] = array();
	$edata["validateAs"]["customMessages"] = array();
	
	
	//	End validation

	
			
				$hours = 24;
	$edata["FormatTimeAttrs"] = array("useTimePicker" => 0,
									  "hours" => $hours,
									  "minutes" => 1,
									  "showSeconds" => 0);

	
	
	$fdata["EditFormats"]["edit"] = $edata;
//	End Edit Formats


	$fdata["isSeparate"] = false;




// the field's search options settings
		$fdata["defaultSearchOption"] = "Equals";

			// the default search options list
				$fdata["searchOptionsList"] = array("Equals", "More than", "Less than", "Between", EMPTY_SEARCH, NOT_EMPTY );
// the end of search options settings


//Filters settings
	$fdata["filterTotals"] = 0;
		$fdata["filterMultiSelect"] = 0;
			$fdata["filterFormat"] = "Values list";
		$fdata["showCollapsed"] = false;

		$fdata["sortValueType"] = 0;
		$fdata["numberOfVisibleItems"] = 10;

		$fdata["filterBy"] = 0;

	

	
	
//end of Filters settings


	$tdatatb_medicamentos["dose_3"] = $fdata;
		$tdatatb_medicamentos[".searchableFields"][] = "dose_3";
//	dose_4
//	Custom field settings
	$fdata = array();
	$fdata["Index"] = 8;
	$fdata["strName"] = "dose_4";
	$fdata["GoodName"] = "dose_4";
	$fdata["ownerTable"] = "tb_medicamentos";
	$fdata["Label"] = GetFieldLabel("tb_medicamentos","dose_4");
	$fdata["FieldType"] = 134;

	
	
	
			

		$fdata["strField"] = "dose_4";

		$fdata["isSQLExpression"] = true;
	$fdata["FullName"] = "dose_4";

	
	
				$fdata["UploadFolder"] = "files";

//  Begin View Formats
	$fdata["ViewFormats"] = array();

	$vdata = array("ViewFormat" => "Time");

	
	
	
	
	
	
	
	
	
	
	
	
		$vdata["NeedEncode"] = true;

	
		$vdata["truncateText"] = true;
	$vdata["NumberOfChars"] = 80;

	$fdata["ViewFormats"]["view"] = $vdata;
//  End View Formats

//	Begin Edit Formats
	$fdata["EditFormats"] = array();

	$edata = array("EditFormat" => "Time");

	
		$edata["weekdayMessage"] = array("message" => "", "messageType" => "Text");
	$edata["weekdays"] = "[]";


	
	



	
	
	
	
			$edata["acceptFileTypes"] = ".+$";
		$edata["acceptFileTypesHtml"] = "";

		$edata["maxNumberOfFiles"] = 1;

	
	
	
	
	
		$edata["EditParams"] = "";
		
		$edata["controlWidth"] = 200;

//	Begin validation
	$edata["validateAs"] = array();
	$edata["validateAs"]["basicValidate"] = array();
	$edata["validateAs"]["customMessages"] = array();
	
	
	//	End validation

	
			
				$hours = 24;
	$edata["FormatTimeAttrs"] = array("useTimePicker" => 0,
									  "hours" => $hours,
									  "minutes" => 1,
									  "showSeconds" => 0);

	
	
	$fdata["EditFormats"]["edit"] = $edata;
//	End Edit Formats


	$fdata["isSeparate"] = false;




// the field's search options settings
		$fdata["defaultSearchOption"] = "Equals";

			// the default search options list
				$fdata["searchOptionsList"] = array("Equals", "More than", "Less than", "Between", EMPTY_SEARCH, NOT_EMPTY );
// the end of search options settings


//Filters settings
	$fdata["filterTotals"] = 0;
		$fdata["filterMultiSelect"] = 0;
			$fdata["filterFormat"] = "Values list";
		$fdata["showCollapsed"] = false;

		$fdata["sortValueType"] = 0;
		$fdata["numberOfVisibleItems"] = 10;

		$fdata["filterBy"] = 0;

	

	
	
//end of Filters settings


	$tdatatb_medicamentos["dose_4"] = $fdata;
		$tdatatb_medicamentos[".searchableFields"][] = "dose_4";
//	indicacao
//	Custom field settings
	$fdata = array();
	$fdata["Index"] = 9;
	$fdata["strName"] = "indicacao";
	$fdata["GoodName"] = "indicacao";
	$fdata["ownerTable"] = "tb_medicamentos";
	$fdata["Label"] = GetFieldLabel("tb_medicamentos","indicacao");
	$fdata["FieldType"] = 200;

	
	
	
			

		$fdata["strField"] = "indicacao";

		$fdata["isSQLExpression"] = true;
	$fdata["FullName"] = "indicacao";

	
	
				$fdata["UploadFolder"] = "files";

//  Begin View Formats
	$fdata["ViewFormats"] = array();

	$vdata = array("ViewFormat" => "");

	
	
	
	
	
	
	
	
	
	
	
	
		$vdata["NeedEncode"] = true;

	
		$vdata["truncateText"] = true;
	$vdata["NumberOfChars"] = 80;

	$fdata["ViewFormats"]["view"] = $vdata;
//  End View Formats

//	Begin Edit Formats
	$fdata["EditFormats"] = array();

	$edata = array("EditFormat" => "Text field");

	
		$edata["weekdayMessage"] = array("message" => "", "messageType" => "Text");
	$edata["weekdays"] = "[]";


	
	



	
	
	
	
			$edata["acceptFileTypes"] = ".+$";
		$edata["acceptFileTypesHtml"] = "";

		$edata["maxNumberOfFiles"] = 1;

	
	
	
	
			$edata["HTML5InuptType"] = "text";

		$edata["EditParams"] = "";
			$edata["EditParams"].= " maxlength=50";

		$edata["controlWidth"] = 200;

//	Begin validation
	$edata["validateAs"] = array();
	$edata["validateAs"]["basicValidate"] = array();
	$edata["validateAs"]["customMessages"] = array();
	
	
	//	End validation

	
			
	
	
	
	$fdata["EditFormats"]["edit"] = $edata;
//	End Edit Formats


	$fdata["isSeparate"] = false;




// the field's search options settings
		$fdata["defaultSearchOption"] = "Contains";

			// the default search options list
				$fdata["searchOptionsList"] = array("Contains", "Equals", "Starts with", "More than", "Less than", "Between", "Empty", NOT_EMPTY);
// the end of search options settings


//Filters settings
	$fdata["filterTotals"] = 0;
		$fdata["filterMultiSelect"] = 0;
			$fdata["filterFormat"] = "Values list";
		$fdata["showCollapsed"] = false;

		$fdata["sortValueType"] = 0;
		$fdata["numberOfVisibleItems"] = 10;

		$fdata["filterBy"] = 0;

	

	
	
//end of Filters settings


	$tdatatb_medicamentos["indicacao"] = $fdata;
		$tdatatb_medicamentos[".searchableFields"][] = "indicacao";
//	efeitos_colaterais
//	Custom field settings
	$fdata = array();
	$fdata["Index"] = 10;
	$fdata["strName"] = "efeitos_colaterais";
	$fdata["GoodName"] = "efeitos_colaterais";
	$fdata["ownerTable"] = "tb_medicamentos";
	$fdata["Label"] = GetFieldLabel("tb_medicamentos","efeitos_colaterais");
	$fdata["FieldType"] = 200;

	
	
	
			

		$fdata["strField"] = "efeitos_colaterais";

		$fdata["isSQLExpression"] = true;
	$fdata["FullName"] = "efeitos_colaterais";

	
	
				$fdata["UploadFolder"] = "files";

//  Begin View Formats
	$fdata["ViewFormats"] = array();

	$vdata = array("ViewFormat" => "");

	
	
	
	
	
	
	
	
	
	
	
	
		$vdata["NeedEncode"] = true;

	
		$vdata["truncateText"] = true;
	$vdata["NumberOfChars"] = 80;

	$fdata["ViewFormats"]["view"] = $vdata;
//  End View Formats

//	Begin Edit Formats
	$fdata["EditFormats"] = array();

	$edata = array("EditFormat" => "Text field");

	
		$edata["weekdayMessage"] = array("message" => "", "messageType" => "Text");
	$edata["weekdays"] = "[]";


	
	



	
	
	
	
			$edata["acceptFileTypes"] = ".+$";
		$edata["acceptFileTypesHtml"] = "";

		$edata["maxNumberOfFiles"] = 1;

	
	
	
	
			$edata["HTML5InuptType"] = "text";

		$edata["EditParams"] = "";
			$edata["EditParams"].= " maxlength=150";

		$edata["controlWidth"] = 200;

//	Begin validation
	$edata["validateAs"] = array();
	$edata["validateAs"]["basicValidate"] = array();
	$edata["validateAs"]["customMessages"] = array();
	
	
	//	End validation

	
			
	
	
	
	$fdata["EditFormats"]["edit"] = $edata;
//	End Edit Formats


	$fdata["isSeparate"] = false;




// the field's search options settings
		$fdata["defaultSearchOption"] = "Contains";

			// the default search options list
				$fdata["searchOptionsList"] = array("Contains", "Equals", "Starts with", "More than", "Less than", "Between", "Empty", NOT_EMPTY);
// the end of search options settings


//Filters settings
	$fdata["filterTotals"] = 0;
		$fdata["filterMultiSelect"] = 0;
			$fdata["filterFormat"] = "Values list";
		$fdata["showCollapsed"] = false;

		$fdata["sortValueType"] = 0;
		$fdata["numberOfVisibleItems"] = 10;

		$fdata["filterBy"] = 0;

	

	
	
//end of Filters settings


	$tdatatb_medicamentos["efeitos_colaterais"] = $fdata;
		$tdatatb_medicamentos[".searchableFields"][] = "efeitos_colaterais";
//	status
//	Custom field settings
	$fdata = array();
	$fdata["Index"] = 11;
	$fdata["strName"] = "status";
	$fdata["GoodName"] = "status";
	$fdata["ownerTable"] = "tb_medicamentos";
	$fdata["Label"] = GetFieldLabel("tb_medicamentos","status");
	$fdata["FieldType"] = 200;

	
	
	
			

		$fdata["strField"] = "status";

		$fdata["isSQLExpression"] = true;
	$fdata["FullName"] = "status";

	
	
				$fdata["UploadFolder"] = "files";

//  Begin View Formats
	$fdata["ViewFormats"] = array();

	$vdata = array("ViewFormat" => "");

	
	
	
	
	
	
	
	
	
	
	
	
		$vdata["NeedEncode"] = true;

	
		$vdata["truncateText"] = true;
	$vdata["NumberOfChars"] = 80;

	$fdata["ViewFormats"]["view"] = $vdata;
//  End View Formats

//	Begin Edit Formats
	$fdata["EditFormats"] = array();

	$edata = array("EditFormat" => "Lookup wizard");

	
		$edata["weekdayMessage"] = array("message" => "", "messageType" => "Text");
	$edata["weekdays"] = "[]";


	
	

// Begin Lookup settings
		$edata["LookupType"] = 0;
			$edata["autoCompleteFieldsOnEdit"] = 0;
	$edata["autoCompleteFields"] = array();
		$edata["LCType"] = 0;

	
	
		$edata["LookupValues"] = array();
	$edata["LookupValues"][] = "Ativo";
	$edata["LookupValues"][] = "Descontinuado";
	$edata["LookupValues"][] = "Cancelado";

	
		$edata["SelectSize"] = 1;

// End Lookup Settings


		$edata["IsRequired"] = true;

	
	
	
			$edata["acceptFileTypes"] = ".+$";
		$edata["acceptFileTypesHtml"] = "";

		$edata["maxNumberOfFiles"] = 1;

	
	
	
	
	
	
		$edata["controlWidth"] = 200;

//	Begin validation
	$edata["validateAs"] = array();
	$edata["validateAs"]["basicValidate"] = array();
	$edata["validateAs"]["customMessages"] = array();
						$edata["validateAs"]["basicValidate"][] = "IsRequired";
		
	
	//	End validation

	
			
	
	
	
	$fdata["EditFormats"]["edit"] = $edata;
//	End Edit Formats


	$fdata["isSeparate"] = false;




// the field's search options settings
		$fdata["defaultSearchOption"] = "Equals";

			// the default search options list
				$fdata["searchOptionsList"] = array("Contains", "Equals", "Starts with", "More than", "Less than", "Between", "Empty", NOT_EMPTY);
// the end of search options settings


//Filters settings
	$fdata["filterTotals"] = 0;
		$fdata["filterMultiSelect"] = 0;
			$fdata["filterFormat"] = "Values list";
		$fdata["showCollapsed"] = false;

		$fdata["sortValueType"] = 0;
		$fdata["numberOfVisibleItems"] = 10;

		$fdata["filterBy"] = 0;

	

	
	
//end of Filters settings


	$tdatatb_medicamentos["status"] = $fdata;
		$tdatatb_medicamentos[".searchableFields"][] = "status";
//	data cancelamento
//	Custom field settings
	$fdata = array();
	$fdata["Index"] = 12;
	$fdata["strName"] = "data cancelamento";
	$fdata["GoodName"] = "data_cancelamento";
	$fdata["ownerTable"] = "tb_medicamentos";
	$fdata["Label"] = GetFieldLabel("tb_medicamentos","data_cancelamento");
	$fdata["FieldType"] = 7;

	
	
	
			

		$fdata["strField"] = "data cancelamento";

		$fdata["isSQLExpression"] = true;
	$fdata["FullName"] = "`data cancelamento`";

	
	
				$fdata["UploadFolder"] = "files";

//  Begin View Formats
	$fdata["ViewFormats"] = array();

	$vdata = array("ViewFormat" => "Short Date");

	
	
	
	
	
	
	
	
	
	
	
	
		$vdata["NeedEncode"] = true;

	
		$vdata["truncateText"] = true;
	$vdata["NumberOfChars"] = 80;

	$fdata["ViewFormats"]["view"] = $vdata;
//  End View Formats

//	Begin Edit Formats
	$fdata["EditFormats"] = array();

	$edata = array("EditFormat" => "Date");

	
		$edata["weekdayMessage"] = array("message" => "", "messageType" => "Text");
	$edata["weekdays"] = "[]";


	
	



	
	
	
	
			$edata["acceptFileTypes"] = ".+$";
		$edata["acceptFileTypesHtml"] = "";

		$edata["maxNumberOfFiles"] = 1;

	
	
		$edata["DateEditType"] = 13;
	$edata["InitialYearFactor"] = 100;
	$edata["LastYearFactor"] = 10;

	
	
	
		$edata["controlWidth"] = 200;

//	Begin validation
	$edata["validateAs"] = array();
	$edata["validateAs"]["basicValidate"] = array();
	$edata["validateAs"]["customMessages"] = array();
	
	
	//	End validation

	
			
	
	
	
	$fdata["EditFormats"]["edit"] = $edata;
//	End Edit Formats


	$fdata["isSeparate"] = false;




// the field's search options settings
		$fdata["defaultSearchOption"] = "Equals";

			// the default search options list
				$fdata["searchOptionsList"] = array("Equals", "More than", "Less than", "Between", EMPTY_SEARCH, NOT_EMPTY );
// the end of search options settings


//Filters settings
	$fdata["filterTotals"] = 0;
		$fdata["filterMultiSelect"] = 0;
			$fdata["filterFormat"] = "Values list";
		$fdata["showCollapsed"] = false;

		$fdata["sortValueType"] = 0;
		$fdata["numberOfVisibleItems"] = 10;

		$fdata["filterBy"] = 0;

	

	
	
//end of Filters settings


	$tdatatb_medicamentos["data cancelamento"] = $fdata;
		$tdatatb_medicamentos[".searchableFields"][] = "data cancelamento";
//	consumo_dia
//	Custom field settings
	$fdata = array();
	$fdata["Index"] = 13;
	$fdata["strName"] = "consumo_dia";
	$fdata["GoodName"] = "consumo_dia";
	$fdata["ownerTable"] = "tb_medicamentos";
	$fdata["Label"] = GetFieldLabel("tb_medicamentos","consumo_dia");
	$fdata["FieldType"] = 3;

	
	
	
			

		$fdata["strField"] = "consumo_dia";

		$fdata["isSQLExpression"] = true;
	$fdata["FullName"] = "consumo_dia";

	
	
				$fdata["UploadFolder"] = "files";

//  Begin View Formats
	$fdata["ViewFormats"] = array();

	$vdata = array("ViewFormat" => "Number");

	
	
	
	
	
	
		$vdata["DecimalDigits"] = 0;

	
	
	
	
	
		$vdata["NeedEncode"] = true;

	
		$vdata["truncateText"] = true;
	$vdata["NumberOfChars"] = 80;

	$fdata["ViewFormats"]["view"] = $vdata;
//  End View Formats

//	Begin Edit Formats
	$fdata["EditFormats"] = array();

	$edata = array("EditFormat" => "Text field");

	
		$edata["weekdayMessage"] = array("message" => "", "messageType" => "Text");
	$edata["weekdays"] = "[]";


	
	



	
	
	
	
			$edata["acceptFileTypes"] = ".+$";
		$edata["acceptFileTypesHtml"] = "";

		$edata["maxNumberOfFiles"] = 1;

	
	
	
	
			$edata["HTML5InuptType"] = "text";

		$edata["EditParams"] = "";
		
		$edata["controlWidth"] = 200;

//	Begin validation
	$edata["validateAs"] = array();
	$edata["validateAs"]["basicValidate"] = array();
	$edata["validateAs"]["customMessages"] = array();
				$edata["validateAs"]["basicValidate"][] = getJsValidatorName("Number");
							
	
	//	End validation

	
			
	
	
	
	$fdata["EditFormats"]["edit"] = $edata;
//	End Edit Formats


	$fdata["isSeparate"] = false;




// the field's search options settings
		$fdata["defaultSearchOption"] = "Contains";

			// the default search options list
				$fdata["searchOptionsList"] = array("Contains", "Equals", "Starts with", "More than", "Less than", "Between", "Empty", NOT_EMPTY);
// the end of search options settings


//Filters settings
	$fdata["filterTotals"] = 0;
		$fdata["filterMultiSelect"] = 0;
			$fdata["filterFormat"] = "Values list";
		$fdata["showCollapsed"] = false;

		$fdata["sortValueType"] = 0;
		$fdata["numberOfVisibleItems"] = 10;

		$fdata["filterBy"] = 0;

	

	
	
//end of Filters settings


	$tdatatb_medicamentos["consumo_dia"] = $fdata;
		$tdatatb_medicamentos[".searchableFields"][] = "consumo_dia";
//	cont_estoque
//	Custom field settings
	$fdata = array();
	$fdata["Index"] = 14;
	$fdata["strName"] = "cont_estoque";
	$fdata["GoodName"] = "cont_estoque";
	$fdata["ownerTable"] = "tb_medicamentos";
	$fdata["Label"] = GetFieldLabel("tb_medicamentos","cont_estoque");
	$fdata["FieldType"] = 3;

	
	
	
			

		$fdata["strField"] = "cont_estoque";

		$fdata["isSQLExpression"] = true;
	$fdata["FullName"] = "cont_estoque";

	
	
				$fdata["UploadFolder"] = "files";

//  Begin View Formats
	$fdata["ViewFormats"] = array();

	$vdata = array("ViewFormat" => "Checkbox");

	
	
	
	
	
	
	
	
	
	
	
	
	
	
		$vdata["truncateText"] = true;
	$vdata["NumberOfChars"] = 80;

	$fdata["ViewFormats"]["view"] = $vdata;
//  End View Formats

//	Begin Edit Formats
	$fdata["EditFormats"] = array();

	$edata = array("EditFormat" => "Checkbox");

	
		$edata["weekdayMessage"] = array("message" => "", "messageType" => "Text");
	$edata["weekdays"] = "[]";


	
	



	
	
	
	
			$edata["acceptFileTypes"] = ".+$";
		$edata["acceptFileTypesHtml"] = "";

		$edata["maxNumberOfFiles"] = 1;

	
	
	
	
	
	
		$edata["controlWidth"] = 200;

//	Begin validation
	$edata["validateAs"] = array();
	$edata["validateAs"]["basicValidate"] = array();
	$edata["validateAs"]["customMessages"] = array();
							
	
	//	End validation

	
			
	
	
	
	$fdata["EditFormats"]["edit"] = $edata;
//	End Edit Formats


	$fdata["isSeparate"] = false;




// the field's search options settings
		$fdata["defaultSearchOption"] = "Equals";

			// the default search options list
				$fdata["searchOptionsList"] = array("Contains", "Equals", "Starts with", "More than", "Less than", "Between", "Empty", NOT_EMPTY);
// the end of search options settings


//Filters settings
	$fdata["filterTotals"] = 0;
		$fdata["filterMultiSelect"] = 0;
			$fdata["filterFormat"] = "Values list";
		$fdata["showCollapsed"] = false;

		$fdata["sortValueType"] = 0;
		$fdata["numberOfVisibleItems"] = 10;

		$fdata["filterBy"] = 0;

	

	
	
//end of Filters settings


	$tdatatb_medicamentos["cont_estoque"] = $fdata;
		$tdatatb_medicamentos[".searchableFields"][] = "cont_estoque";


$tables_data["tb_medicamentos"]=&$tdatatb_medicamentos;
$field_labels["tb_medicamentos"] = &$fieldLabelstb_medicamentos;
$fieldToolTips["tb_medicamentos"] = &$fieldToolTipstb_medicamentos;
$placeHolders["tb_medicamentos"] = &$placeHolderstb_medicamentos;
$page_titles["tb_medicamentos"] = &$pageTitlestb_medicamentos;

// -----------------start  prepare master-details data arrays ------------------------------//
// tables which are detail tables for current table (master)
$detailsTablesData["tb_medicamentos"] = array();

// tables which are master tables for current table (detail)
$masterTablesData["tb_medicamentos"] = array();



	
				$strOriginalDetailsTable="tb_receitas";
	$masterParams = array();
	$masterParams["mDataSourceTable"]="tb_receitas";
	$masterParams["mOriginalTable"]= $strOriginalDetailsTable;
	$masterParams["mShortTable"]= "tb_receitas";
	$masterParams["masterKeys"]= array();
	$masterParams["detailKeys"]= array();

	$masterParams["type"] = PAGE_LIST;
					$masterTablesData["tb_medicamentos"][0] = $masterParams;
				$masterTablesData["tb_medicamentos"][0]["masterKeys"] = array();
	$masterTablesData["tb_medicamentos"][0]["masterKeys"][]="receitaID";
				$masterTablesData["tb_medicamentos"][0]["detailKeys"] = array();
	$masterTablesData["tb_medicamentos"][0]["detailKeys"][]="receitaID";
		
// -----------------end  prepare master-details data arrays ------------------------------//


require_once(getabspath("classes/sql.php"));










function createSqlQuery_tb_medicamentos()
{
$proto0=array();
$proto0["m_strHead"] = "SELECT";
$proto0["m_strFieldList"] = "medicamentoID,  	receitaID,  	medicamento,  	posologia,  	dose_1,  	dose_2,  	dose_3,  	dose_4,  	indicacao,  	efeitos_colaterais,  	status,  	`data cancelamento`,  	consumo_dia,  	cont_estoque";
$proto0["m_strFrom"] = "FROM tb_medicamentos";
$proto0["m_strWhere"] = "";
$proto0["m_strOrderBy"] = "";
	
		;
			$proto0["cipherer"] = null;
$proto2=array();
$proto2["m_sql"] = "";
$proto2["m_uniontype"] = "SQLL_UNKNOWN";
	$obj = new SQLNonParsed(array(
	"m_sql" => ""
));

$proto2["m_column"]=$obj;
$proto2["m_contained"] = array();
$proto2["m_strCase"] = "";
$proto2["m_havingmode"] = false;
$proto2["m_inBrackets"] = false;
$proto2["m_useAlias"] = false;
$obj = new SQLLogicalExpr($proto2);

$proto0["m_where"] = $obj;
$proto4=array();
$proto4["m_sql"] = "";
$proto4["m_uniontype"] = "SQLL_UNKNOWN";
	$obj = new SQLNonParsed(array(
	"m_sql" => ""
));

$proto4["m_column"]=$obj;
$proto4["m_contained"] = array();
$proto4["m_strCase"] = "";
$proto4["m_havingmode"] = false;
$proto4["m_inBrackets"] = false;
$proto4["m_useAlias"] = false;
$obj = new SQLLogicalExpr($proto4);

$proto0["m_having"] = $obj;
$proto0["m_fieldlist"] = array();
						$proto6=array();
			$obj = new SQLField(array(
	"m_strName" => "medicamentoID",
	"m_strTable" => "tb_medicamentos",
	"m_srcTableName" => "tb_medicamentos"
));

$proto6["m_sql"] = "medicamentoID";
$proto6["m_srcTableName"] = "tb_medicamentos";
$proto6["m_expr"]=$obj;
$proto6["m_alias"] = "";
$obj = new SQLFieldListItem($proto6);

$proto0["m_fieldlist"][]=$obj;
						$proto8=array();
			$obj = new SQLField(array(
	"m_strName" => "receitaID",
	"m_strTable" => "tb_medicamentos",
	"m_srcTableName" => "tb_medicamentos"
));

$proto8["m_sql"] = "receitaID";
$proto8["m_srcTableName"] = "tb_medicamentos";
$proto8["m_expr"]=$obj;
$proto8["m_alias"] = "";
$obj = new SQLFieldListItem($proto8);

$proto0["m_fieldlist"][]=$obj;
						$proto10=array();
			$obj = new SQLField(array(
	"m_strName" => "medicamento",
	"m_strTable" => "tb_medicamentos",
	"m_srcTableName" => "tb_medicamentos"
));

$proto10["m_sql"] = "medicamento";
$proto10["m_srcTableName"] = "tb_medicamentos";
$proto10["m_expr"]=$obj;
$proto10["m_alias"] = "";
$obj = new SQLFieldListItem($proto10);

$proto0["m_fieldlist"][]=$obj;
						$proto12=array();
			$obj = new SQLField(array(
	"m_strName" => "posologia",
	"m_strTable" => "tb_medicamentos",
	"m_srcTableName" => "tb_medicamentos"
));

$proto12["m_sql"] = "posologia";
$proto12["m_srcTableName"] = "tb_medicamentos";
$proto12["m_expr"]=$obj;
$proto12["m_alias"] = "";
$obj = new SQLFieldListItem($proto12);

$proto0["m_fieldlist"][]=$obj;
						$proto14=array();
			$obj = new SQLField(array(
	"m_strName" => "dose_1",
	"m_strTable" => "tb_medicamentos",
	"m_srcTableName" => "tb_medicamentos"
));

$proto14["m_sql"] = "dose_1";
$proto14["m_srcTableName"] = "tb_medicamentos";
$proto14["m_expr"]=$obj;
$proto14["m_alias"] = "";
$obj = new SQLFieldListItem($proto14);

$proto0["m_fieldlist"][]=$obj;
						$proto16=array();
			$obj = new SQLField(array(
	"m_strName" => "dose_2",
	"m_strTable" => "tb_medicamentos",
	"m_srcTableName" => "tb_medicamentos"
));

$proto16["m_sql"] = "dose_2";
$proto16["m_srcTableName"] = "tb_medicamentos";
$proto16["m_expr"]=$obj;
$proto16["m_alias"] = "";
$obj = new SQLFieldListItem($proto16);

$proto0["m_fieldlist"][]=$obj;
						$proto18=array();
			$obj = new SQLField(array(
	"m_strName" => "dose_3",
	"m_strTable" => "tb_medicamentos",
	"m_srcTableName" => "tb_medicamentos"
));

$proto18["m_sql"] = "dose_3";
$proto18["m_srcTableName"] = "tb_medicamentos";
$proto18["m_expr"]=$obj;
$proto18["m_alias"] = "";
$obj = new SQLFieldListItem($proto18);

$proto0["m_fieldlist"][]=$obj;
						$proto20=array();
			$obj = new SQLField(array(
	"m_strName" => "dose_4",
	"m_strTable" => "tb_medicamentos",
	"m_srcTableName" => "tb_medicamentos"
));

$proto20["m_sql"] = "dose_4";
$proto20["m_srcTableName"] = "tb_medicamentos";
$proto20["m_expr"]=$obj;
$proto20["m_alias"] = "";
$obj = new SQLFieldListItem($proto20);

$proto0["m_fieldlist"][]=$obj;
						$proto22=array();
			$obj = new SQLField(array(
	"m_strName" => "indicacao",
	"m_strTable" => "tb_medicamentos",
	"m_srcTableName" => "tb_medicamentos"
));

$proto22["m_sql"] = "indicacao";
$proto22["m_srcTableName"] = "tb_medicamentos";
$proto22["m_expr"]=$obj;
$proto22["m_alias"] = "";
$obj = new SQLFieldListItem($proto22);

$proto0["m_fieldlist"][]=$obj;
						$proto24=array();
			$obj = new SQLField(array(
	"m_strName" => "efeitos_colaterais",
	"m_strTable" => "tb_medicamentos",
	"m_srcTableName" => "tb_medicamentos"
));

$proto24["m_sql"] = "efeitos_colaterais";
$proto24["m_srcTableName"] = "tb_medicamentos";
$proto24["m_expr"]=$obj;
$proto24["m_alias"] = "";
$obj = new SQLFieldListItem($proto24);

$proto0["m_fieldlist"][]=$obj;
						$proto26=array();
			$obj = new SQLField(array(
	"m_strName" => "status",
	"m_strTable" => "tb_medicamentos",
	"m_srcTableName" => "tb_medicamentos"
));

$proto26["m_sql"] = "status";
$proto26["m_srcTableName"] = "tb_medicamentos";
$proto26["m_expr"]=$obj;
$proto26["m_alias"] = "";
$obj = new SQLFieldListItem($proto26);

$proto0["m_fieldlist"][]=$obj;
						$proto28=array();
			$obj = new SQLField(array(
	"m_strName" => "data cancelamento",
	"m_strTable" => "tb_medicamentos",
	"m_srcTableName" => "tb_medicamentos"
));

$proto28["m_sql"] = "`data cancelamento`";
$proto28["m_srcTableName"] = "tb_medicamentos";
$proto28["m_expr"]=$obj;
$proto28["m_alias"] = "";
$obj = new SQLFieldListItem($proto28);

$proto0["m_fieldlist"][]=$obj;
						$proto30=array();
			$obj = new SQLField(array(
	"m_strName" => "consumo_dia",
	"m_strTable" => "tb_medicamentos",
	"m_srcTableName" => "tb_medicamentos"
));

$proto30["m_sql"] = "consumo_dia";
$proto30["m_srcTableName"] = "tb_medicamentos";
$proto30["m_expr"]=$obj;
$proto30["m_alias"] = "";
$obj = new SQLFieldListItem($proto30);

$proto0["m_fieldlist"][]=$obj;
						$proto32=array();
			$obj = new SQLField(array(
	"m_strName" => "cont_estoque",
	"m_strTable" => "tb_medicamentos",
	"m_srcTableName" => "tb_medicamentos"
));

$proto32["m_sql"] = "cont_estoque";
$proto32["m_srcTableName"] = "tb_medicamentos";
$proto32["m_expr"]=$obj;
$proto32["m_alias"] = "";
$obj = new SQLFieldListItem($proto32);

$proto0["m_fieldlist"][]=$obj;
$proto0["m_fromlist"] = array();
												$proto34=array();
$proto34["m_link"] = "SQLL_MAIN";
			$proto35=array();
$proto35["m_strName"] = "tb_medicamentos";
$proto35["m_srcTableName"] = "tb_medicamentos";
$proto35["m_columns"] = array();
$proto35["m_columns"][] = "medicamentoID";
$proto35["m_columns"][] = "receitaID";
$proto35["m_columns"][] = "medicamento";
$proto35["m_columns"][] = "posologia";
$proto35["m_columns"][] = "dose_1";
$proto35["m_columns"][] = "dose_2";
$proto35["m_columns"][] = "dose_3";
$proto35["m_columns"][] = "dose_4";
$proto35["m_columns"][] = "indicacao";
$proto35["m_columns"][] = "efeitos_colaterais";
$proto35["m_columns"][] = "status";
$proto35["m_columns"][] = "data cancelamento";
$proto35["m_columns"][] = "consumo_dia";
$proto35["m_columns"][] = "cont_estoque";
$obj = new SQLTable($proto35);

$proto34["m_table"] = $obj;
$proto34["m_sql"] = "tb_medicamentos";
$proto34["m_alias"] = "";
$proto34["m_srcTableName"] = "tb_medicamentos";
$proto36=array();
$proto36["m_sql"] = "";
$proto36["m_uniontype"] = "SQLL_UNKNOWN";
	$obj = new SQLNonParsed(array(
	"m_sql" => ""
));

$proto36["m_column"]=$obj;
$proto36["m_contained"] = array();
$proto36["m_strCase"] = "";
$proto36["m_havingmode"] = false;
$proto36["m_inBrackets"] = false;
$proto36["m_useAlias"] = false;
$obj = new SQLLogicalExpr($proto36);

$proto34["m_joinon"] = $obj;
$obj = new SQLFromListItem($proto34);

$proto0["m_fromlist"][]=$obj;
$proto0["m_groupby"] = array();
$proto0["m_orderby"] = array();
$proto0["m_srcTableName"]="tb_medicamentos";		
$obj = new SQLQuery($proto0);

	return $obj;
}
$queryData_tb_medicamentos = createSqlQuery_tb_medicamentos();


	
		;

														

$tdatatb_medicamentos[".sqlquery"] = $queryData_tb_medicamentos;

$tableEvents["tb_medicamentos"] = new eventsBase;
$tdatatb_medicamentos[".hasEvents"] = false;

?>